BANK KALTENG - Feature #3646

Pembuatan Halaman Work Unit List
06/02/2025 01:42 PM - Mr Dhafin

Status: QA Test Start date: 06/02/2025
Priority: Urgent Due date: 06/11/2025
Assignee: Mr Dhafin % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear mas Alwi,

Mohon bantuannya untuk membuat halaman Work Unit List sesuai dengan desain terlampir. Menu ini akan ditempatkan pada:
Human Resource > HR Strategic > Performance Management > Performance Report > Work Unit List.

Fitur yang Ditampilkan:

1. Filter Parameter (Report Parameter):

* Period: Dropdown (tahun)

* Organization: Dropdown list organisasi

» Tombol "View Report": Untuk menampilkan hasil report berdasarkan filter yang dipilih
2. Report Result Table (Tabel Hasil Laporan):
Tabel dengan kolom:

*No

» Work Unit Name

* Total Employees

* Created

* App. Direct Supervisor

* App. Supervisor Level 2

» Complete

* Percentage

Catatan:

« Data yang ditampilkan berdasarkan hasil filter.

+ Data dapat di-export ke Excel/PDF.

» Tampilan tabel mendukung pagination, sorting, dan scrolling.

Untuk Referensi table berikut ya pas:

Organization
Nilai pada kolom Organization mengikuti skema yang sama dengan Work Unit Name.

Work Unit Name

Untuk menampilkan data pada kolom Nama Unit Kerja, yang ditampilkan adalah unit organisasi pada level Divisi. Data ini diambil
dari tabel PHROMO0004 dengan filter OrganizationLevel = '04'.

Selanjutnya, untuk mencocokkan data organisasi, gunakan tabel PHROM0001 dan PHROMO0002 dengan filter ObjectClass = 'O'.
Untuk mengetahui siapa saja yang termasuk dalam organisasi tersebut, lakukan pencocokan antara ObjectID dari tabel
PHROMO0004 dengan field Organization di tabel PHRPA0002.

Total Employee
Jumlah karyawan diambil dari tabel PHRPAQ002, dengan mencocokkan Organization di tabel tersebut terhadap ObjectID dari tabel
PHROMO0004.

Created
Data Created diambil dari tabel PCMWFRUNTASK dengan filter TaskIDRun = 'create’.

App. Direct Supervisor
Data App. Direct Supervisor diambil dari tabel PCMWFRUNTASK dengan filter TaskIDRun = 'apv_ds".

App. Supervisor Level 2
Data App. Supervisor Level 2 diambil dari tabel PCMWFRUNTASK dengan filter TaskIDRun = 'apv_nha'.

Complate
Menampilkan perbandingan antara jumlah karyawan yang masih aktif dengan yang sudah complete. Untuk data karyawan aktif,
dapat menggunakan skema yang sama seperti pada
Work Unit Name.

Percentage
Menampilkan persentase perbandingan antara jumlah karyawan yang masih aktif dan yang sudah complete. Perhitungan dilakukan
berdasarkan data karyawan aktif sesuai skema di Work Unit Name.

Terimakasih.

Port: http://remote.minovais.com:61133/
DB: MinovaES_BankKalteng_BaseServerProd

History

#1 - 06/02/2025 01:43 PM - Mr Dhafin

- Status changed from New to Assigned

#2 - 06/02/2025 03:19 PM - Mr Dhafin

Ada penambahan pada Work Unit Name, dan bisa digunakan untuk Organization juga ya mas
Work Unit Name

Untuk menampilkan data pada kolom Nama Unit Kerja, yang ditampilkan adalah data dari level Divisi. Data ini dapat diambil dari tabel PHROMO0004
dengan menambahkan filter OrganizationLevel = '04".

Selanjutnya, untuk melakukan pencocokan data organisasi, dapat menggunakan tabel PHROMO0002 dengan filter ObjectClass = 'O' dan
RelationshipClass= ‘O’, Lalu bisa mencocokan di Field RelationshipObjectnya

Untuk mengetahui siapa saja yang termasuk dalam organisasi tersebut, dapat dilakukan dengan mencocokkan RelationshipObject dari tabel
PHROMO0002 dengan Organization di tabel PHRPAQ002.

Lalu untuk mengetahui Descriptionnya bisa dilihat melalui table PHROMO0001 dengan menfillter Field ObjectClass, maka dapat diketahui
Descriptionnya melalui Field ObjectDescription.

Terimakasih.

#3 - 06/02/2025 05:17 PM - Mr Dhafin
- Due date set to 06/06/2025

#4 - 06/03/2025 04:20 PM - Mr Dhafin

Sudah dibuatkan menu nya di table:

SMENU
SENUTXT
PCMEPRPTCATALOG

di table SMENU & SMENUTXT
menulD: WUL

di table PCMEPRPTCATALOG
report|D: WUL

#5 - 06/09/2025 09:00 AM - Kezia Pawitra Yulianti
- Due date changed from 06/06/2025 to 06/11/2025
- Assignee changed from mabhlil .. to Tri Rizqiaty

- Priority changed from Normal to Urgent

#6 - 06/09/2025 11:19 AM - Tri Rizqiaty
- Assignee changed from Tri Rizgiaty to Mr Dhafin

Dhafin, ini untuk semua flowid atau tertentu aja?
#7 - 06/09/2025 11:27 AM - Mr Dhafin

Untuk flowid-nya hanya tertentu aja Mba, sesuai dengan proses yang berkaitan dengan Performance Appraisal, karena TaskIDRun yang digunakan
adalah 'create’, 'apv_ds', dan 'apv_nha'.

Jadi data diambil hanya dari flow yang relevan dengan proses tersebut, tidak semua flowid.
#8 - 06/09/2025 11:27 AM - Mr Dhafin
- Assignee changed from Mr Dhafin to Tri Rizqgiaty

#9 - 06/09/2025 01:42 PM - Tri Rizqiaty
- Assignee changed from Tri Rizqiaty to Mr Dhafin

Bisa tolong dilist flowidnya apa aja?
& field create,App. Direct Supervisor,App. Supervisor Level 2,complete diisi apa? employeeid, regid, totalemp, atau tolregid?

sama untuk persentase, perhitungannya seperti apa klo contoh ky dibawah :

- employeeid 00000001 mempunyai 2 regid wf dengan flowid berbeda dan statusnya semua finish.

- employeeid 00000002 mempunyai 2 regid wf dengan flowid berbeda dan statusnya 1 finish & 1 bim finish.
- employeeid 00000003 mempunyai 1 regid wf statusnya finish.

- totalemp 3

#10 - 06/09/2025 02:27 PM - Mr Dhafin
- File clipboard-202506091426-dwryt.png added
- File clipboard-202506091427-opove.png added

Berikut saya coba jelaskan, mba:

Untuk kebutuhan report ini, flowid yang digunakan adalah yang terkait dengan proses Performance Appraisal. Berdasarkan data yang ada di tabel
PCMWFRUNTASK, flowid yang digunakan adalah flow yang memiliki TaskIDRun:

* create
* apv_ds
* apv_nha

Jika dibutuhkan list FlowlDnya secara eksplisit, saya bisa tarik dari data PCMWFRUNTASK dengan TaskIDRun tersebut, lalu dikelompokkan
berdasarkan flowid.
Field untuk masing-masing kolom berikut:

Kolom Field yang digunakan
Create regid (dari PCMWFRUNTASK dengan TaskIDRun,
= 'create’)
App. Direct Supervisor regid (dari TaskIDRun = 'apv_ds')
App. Supervisor Level 2 regid (dari TaskIDRun = 'apv_nha')
Complete Menghitung total regid dengan status finish

Untuk mapping ke employee, tetap mengacu pada employeeid, tapi untuk kebutuhan laporan per task, referensinya tetap regid.
Perhitungan Persentase:

Persentase dihitung berdasarkan jumlah employee yang sudah menyelesaikan semua regid-nya dibandingkan dengan total employee.
Contoh:

EmployeelD Jumlah regid Regid Finish Status Finish?
00000001 2 2 v

00000002 2 1 X%

00000003 1 1 |

Total Employee = 3
Yang complete = 2 (karena 00000001 dan 00000003 semua regid-nya status finish)

Persentase = (2/3) x 100 = 66.67%
Jadi logikanya, employee dianggap "complete" hanya jika semua regid miliknya di semua flowid yang relevan berstatus finish.

#11 - 06/09/2025 02:28 PM - Mr Dhafin
- Assignee changed from Mr Dhafin to Tri Rizqgiaty

#12 - 06/11/2025 10:11 AM - Tri Rizqgiaty
- File CRPTBKTWUL.rd| added
- File CRPTBKTWUL.sql added

- Status changed from Assigned to Developing

Fixing :
1. Execute SP CRPTBKTWUL.sq| (terlampir)
2. Deploy RDL CRPTBKTWUL.rdl (terlampir)
3. Update table PCMEPRPTCATALOG, PCMEPRPTSELECTION dengan ReportID : WUL

#13 - 06/11/2025 10:12 AM - Tri Rizqiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to Mr Dhafin

Dhafin, tlg ditest ya.
Tp krn tdk ada list FlowID apa aja, smua FlowID termasuk PA, TM & dll jika punya TasklDRun tsb, jadi ikut terambil.

#14 - 06/11/2025 11:34 AM - Kezia Pawitra Yulianti
- Status changed from QA Test to Revise

- Assignee changed from Mr Dhafin to Tri Rizgiaty

dear Yomma,

berhubung report ini terkait dengan PMS, bisa gak kalau bukan dr flow id nya yg d liat tp dr bizproc atau bizflow nya yg terkait dengan PMS Final.
jadi untuk task2 yg disebutkan tadi di atas hanya untuk bizproc/bizflow PMS terkait

Tks

#15 - 06/11/2025 11:41 AM - Tri Rizqgiaty
- Status changed from Revise to Assigned

- Assignee changed from Tri Rizqiaty to Mr Dhafin
Dhafin, tolong di list FlowIDnya apa aja.

#16 - 06/11/2025 01:19 PM - Mr Dhafin

Dear Mba Yoma,

Terkait mapping untuk Flowld:

PCMWFDEFBIZFLOW:
Diisi dengan MD_PMS_Final, MD_PMS_Goal, dan MD_PMS_Review

PCMWFDEFBIZPROC:
Diisi dengan PMS_Final, PMS_Goal, dan PMS_Review

Terima kasih.

#17 - 06/11/2025 01:19 PM - Mr Dhafin
- Assignee changed from Mr Dhafin to Tri Rizqgiaty

#18 - 06/11/2025 02:45 PM - Tri Rizqiaty

- File CRPTBKTWUL_202506111444.sql added

- Status changed from Assigned to QA Test

- Assignee changed from Tri Rizqgiaty to Mr Dhafin

Fixing : update SP terlampir

#19 - 06/11/2025 03:35 PM - Mr Dhafin

- File clipboard-202506111534-7xk1w.png added
- File clipboard-202506111535-4yeqo.png added
Dear Mba Yoma,

Saya sudah melakukan testing pada report Work Unit List, namun saat klik View Report, data tidak muncul di hasil laporan. Mohon bantuannya untuk
dicek apakah ada kendala pada data source atau parameter yang digunakan.
Terima kasih.

#20 - 06/11/2025 03:36 PM - Mr Dhafin
- Assignee changed from Mr Dhafin to Tri Rizqgiaty

#21 - 06/11/2025 04:22 PM - Tri Rizqiaty
- Assignee changed from Tri Rizqgiaty to Mr Dhafin

Untuk organisasi itu emang ga ada data workflowid pms di tbl runtask.
Coba bikin contoh data workflow baru aja.

#22 - 06/12/2025 10:21 AM - Mr Dhafin
- File clipboard-202506121020-7963q.png added

Dear mba yoma,

Untuk hasil reportnya sudah tampil ya mba. Terimakasih
